var myTodoApp = (function() {
	var myTodoApp = {};
	
	myTodoApp.todos = [];

	myTodoApp.addTodo = function(todo) {
		this.todos.push(todo);
	};

	myTodoApp.getTodos = function() {
		return this.todos;
	};

	return myTodoApp;
})();

myTodoApp.imports = (function() {
	var imports = {};

	imports.fromGDrive = function() { /*...*/ };
	imports.fromUrl = function() { /*...*/ };
	imports.fromText = function() { /*...*/ };

	return imports;
})();

myTodoApp.exports = (function() {
	var exports = {};
	
	var gDrivePublicKey = '#wnanqAASnsmkkw';
	
	exports.toGDrive = function() { /*...*/ };
	
	exports.toFile = function() { /*...*/ };

	return exports;
})();

myTodoApp.share = (function() {
	var share = {};
	
	share.toTwitter = function(todo) { /*...*/ };

	return share;
})();
